#! /bin/sh

source /koolshare/scripts/base.sh
eval `dbus export verysync_`

# stop first
sh /koolshare/scripts/verysync_config.sh stop

# remove dbus data in softcenter
confs=`dbus list verysync_|cut -d "=" -f1`
for conf in $confs
do
	dbus remove $conf
done

# remove files
rm -rf /koolshare/bin/verysync
rm -rf /koolshare/scripts/verysync*
rm -rf /koolshare/webs/Module_verysync.asp
rm -rf /koolshare/res/icon-verysync.png
rm -rf /koolshare/res/icon-verysync-bg.png
find /koolshare/init.d/ -name "*verysync*" | xargs rm -rf
# remove dbus data in verysync
dbus remove softcenter_module_verysync_home_url
dbus remove softcenter_module_verysync_install
dbus remove softcenter_module_verysync_md5
dbus remove softcenter_module_verysync_version
dbus remove softcenter_module_verysync_name
dbus remove softcenter_module_verysync_title
dbus remove softcenter_module_verysync_description
